Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I used to use LaTeX in Windows and there was Miktex Package Manager with which it was very easy to add a missing package. I wanted to install textcomp to Ubuntu 11.10 and it requires me to download the zip from here and find the packages which are in /usr/share/texmf-texlive/tex/latex in my case, extract the zip contents to there, and update the packages.

Is there a package manager which does installation and removal in an easier way like the Miktex Package Manager in Windows?

share|improve this question
    
Since TeX Live in Ubuntu is outdated it might make sense to install TeX Live directly from upstream. Here's a guide: tug.org/texlive/quickinstall.html –  N.N. Oct 28 '11 at 11:16

1 Answer 1

up vote 25 down vote accepted

I advise to recur to an installation by hand of a tex package only when such tex package is not available in an ubuntu package.

Searching for it with

apt-file -x search '/textcomp.sty$'

I obtain the following results:

texlive-latex-base: /usr/share/texmf-texlive/tex/latex/base/textcomp.sty

and it say the tex package you look for is contained in the ubuntu package whose name is texlive-latex-base, so install it, if not already installed.

By the way, apt-file is a command to install separately from the apt-get package, and only a convenient and alternative way to search into the repositories the same way as http://packages.ubuntu.com/.

share|improve this answer
    
This is just great! I didn't know that all the packages I need were already in texlive-latex-base and texlive-latex-extra. Thanks. –  petrichor Oct 28 '11 at 4:59
    
My dear friend, after so much time looking, this was the easiest and fastest way that I was able to get some packages running! Kudos to you! –  Sosi Jun 25 '13 at 16:09
    
If you discover that you already have the package installed but it doesn't seem to work, remove it using apt-get and then install it again. This worked for me for two different packages even though it said they were up to date. –  haventchecked Dec 12 at 3:09

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.